ContentOracle
Keywords: com.prolixtech.jaminid.ContentOracle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.prolixtech.jaminid
Class ContentOracle

    java.lang.Object
      com.prolixtech.jaminid.ContentOracle

Direct Known Subclasses:
  HelloWorldServer, SimpleAjaxServer, SimpleServer, StreamingOracle

    public class ContentOracle

extends java.lang.Object

The content oracle is a very special class. It completely allows us to delegate the computation of

Author:
  Constantinos Michael TODO

Constructor Summary
`ContentOracle()`

Method Summary
`java.lang.String` | `demultiplex(Request connRequest, Response connResponse)` the main function of the oracle, is to demux the request and produce an output that is relative to the request.
`ContentOracle` | `getDelegatedOracle(Request serviceRequest)`
`static ContentOracle` | `Instance()` pertains to the singleton DESIGN PATTERN

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentOracle

    public ContentOracle()

Method Detail

### Instance

    public static ContentOracle Instance()

  pertains to the singleton DESIGN PATTERN

  Returns:
    ContentOracle

### demultiplex

    public java.lang.String demultiplex(Request connRequest,
                                        Response connResponse)

  the main function of the oracle, is to demux the request and produce an output that is relative to the request. in this example, it is a static HTML, that is all we care about for now.

  Parameters:
    `connRequest` -
    `connResponse` -
  Returns:
    the output

### getDelegatedOracle

    public ContentOracle getDelegatedOracle(Request serviceRequest)

  Returns:
    the oracle that will handle the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD